Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface ILaunchConfigurationDelegate

All Known Subinterfaces:
  ILaunchConfigurationDelegate2

All Known Implementing Classes:
  LaunchConfigurationDelegate

public interface ILaunchConfigurationDelegate

A launch configuration delegate performs launching for a specific type of launch configuration. A launch configuration delegate is defined by the `delegate` attribute of a `launchConfigurationType` extension.

This interface is intended to be implemented by clients.

Since:
  2.0
See Also:
  `ILaunchConfigurationType`, `ILaunchConfiguration`

Method Summary
`void` | `launch(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor)` Launches the given configuration in the specified mode, contributing debug targets and/or processes to the given launch object.

Method Detail

### launch

    public void launch(ILaunchConfiguration configuration,
                       String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

  Launches the given configuration in the specified mode, contributing debug targets and/or processes to the given launch object. The launch object has already been registered with the launch manager.

  Parameters:
    `configuration` - the configuration to launch
    `mode` - the mode in which to launch, one of the mode constants defined by `ILaunchManager` - `RUN_MODE` or `DEBUG_MODE`.
    `monitor` - progress monitor, or `null`
    `launch` - the launch object to contribute processes and debug targets to
  Throws:
    `CoreException` - if launching fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.